Bug 143460 - dovecot pop fails for Mac Eudora clients
dovecot pop fails for Mac Eudora clients
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks: 171120
  Show dependency treegraph
 
Reported: 2004-12-20 22:22 EST by Danny Yee
Modified: 2014-01-21 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-08 14:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Yee 2004-12-20 22:22:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Macintosh Eudora clients fail when connecting via POP to dovecot on
FC3.  A possible explanation is at:
http://www.dovecot.org/list/dovecot/2004-September/004718.html
"Could be that it's trying to login using AUTH PLAIN command, which 
Dovecot 0.99 doesn't really support correctly with POP3. 1.0-tests have 
fixed that."

Version-Release number of selected component (if applicable):
dovecot-0.99.11-1

How reproducible:
Always

Steps to Reproduce:
1. run dovecot on FC3 server
2. try to connect via POP from Eudora on a Mac


Actual Results:  "Unsupported authentication mechanism" message.

Additional info:

IMAP works fine, other POP clients work fine.
Comment 1 John Dennis 2005-01-06 13:51:20 EST
Timo: On the presumption that this is fixed in 1.0 I just did a diff 
between 0.99-11 and 1.0-test59 and looked for diffs in the pop3-login 
auth code. Hmm... quite a few. Do you happen to recall what the 
specific fix/issue was or is just a case where in a largely new body 
of code things just seem to work now that didn't before?

I don't have an easy way to test this anyway, I'd have to locate a 
Mac (doable) and configure things. I'm also wondering if this 
shouldn't just wait for the official 1.0 release. Do you anticipate 
that being soon?
Comment 2 Timo Sirainen 2005-01-06 15:22:13 EST
Fixed in 0.99.12:

- POP3: Don't return PLAIN in SASL list. We don't support initial SASL
responses, so it only breaks with most clients that try to use it.
Comment 3 Danny Yee 2005-01-07 02:01:11 EST
If the fix is in 0.99.12 - and presumably not a huge change - is there
any chance of an update?  I have a server deployment which needs this.
(I'm surprised more people haven't been bitten by this - Eudora is
still pretty popular on Macs.)
Comment 4 Thomas J. Baker 2005-03-10 14:53:36 EST
This bug also affects RHEL4 and no update has been released for it. I
had to build the rawhide FC4 dovecot which fixes the problem and
hasn't appeared to break anything else yet.
Comment 5 John Dennis 2005-07-08 14:13:25 EDT
Note, for RHEL4 the fix is contained in errata RHBA-2005:237 which as far as I
can tell is scheduled for RHEL4-U2
Comment 6 John Dennis 2005-07-08 14:30:08 EDT
A fix for FC3 was released in fc3-updates, dovecot-0.99.13-3.FC3 released on
2005-01-17, closing ...
Comment 12 admin 2006-08-04 01:36:23 EDT
My RHEL4-U3 install still shows dovecot-0.99.11-2.EL4.1 as the most recent dovecot version, we're still 
hitting this bug. Can't find any mention of RHBA-2005-237. What happened?

Note You need to log in before you can comment on or make changes to this bug.